#include "mimic.h"
#include "fsdata.h"


/**
 * MiMic RemoteMCU httpd.<br/>
 * <p>Service list</p>
 * <pre>
 * /rom/ - romfs
 * /setup/ - MiMic configulation REST API.
 * /local/ - mbed LocalFileSystem
 * /mvm/   - MiMicVM REST API
 * </pre>
 */

class MyHttpd:public MiMic::Httpd
{
private:
    ModRomFiles modromfs;
    ModMiMicSetting mimicsetting;
    ModRemoteMcu remotemcu;
public:
    MyHttpd():Httpd(80)
    {
        this->modromfs.setParam("/rom/",fsdata,4);
        this->mimicsetting.setParam("/setup/");
        this->remotemcu.setParam("/mvm/");
    }
    virtual void onRequest(HttpdConnection& i_connection)
    {
        //try to ModRomFS module.
        if(this->modromfs.execute(i_connection)){
            return;
        }
        //try to ModMiMicSetting module.
        if(this->mimicsetting.execute(i_connection)){
            return;
        }
        //try to ModRemoteMcu module.
        if(this->remotemcu.execute(i_connection)){
            return;
        }
    }
};

 
